#----------------------------------------------------------------------------------
# euler-vermutung.py
#----------------------------------------------------------------------------------
# Euler hat 1769 vermutet, dass z.B. keine n-te Potenz Summe von
# weniger als n n-ten Potenzen ist.
# Die Vermutung wurde 1966 von L.J.Lander und T.R.Parkin widerlegt.
#
# Das Programm sucht systematisch nach 5 ganzen Zahlen a,b,c,d,e>=1
# mit der Eigenschaft a**5+b**5+c**5+d**5==e**5.
# Dazu werden Kombination von a,b,c,d aus dem Bereich 1,2,...
# mit a>=b>=c>=d>=1 systematisch durchsucht.
# Zuerst wird die Summe summe=a**5+b**5+c**5+d**5 gebildet.
# Wenn summe die 5te Potenz einer ganzen Zahl ist,
# dann sind a, b, c, d und round(summe**0.2) die gesuchten Zahlen.
#
#-----------------------------------------------------------------------------------

zaehler = 0     # wir zählen, wieviele Zahlenkombinationen durchprobiert werden
erfolg = False  # wird auf True gesetzt, wenn die gesuchte Kombination gefunden wurde
a = 1

# Teste alle Kombinationen a,b,c,d mit a>=b>=c>=d>=1, bis ein Test erfolgreich war.
while not erfolg:   
  print(a)          # Wir wollen sehen, wie weit das Programm bereits gekommen ist.
  # Die Werte von b,c,d werden systematisch hochgezählt,
  # bis sie den Wert von a erreicht haben.
  for b in range(1,a+1):
    for c in range(1,b+1):
      for d in range(1,c+1):
          zaehler += 1
          summe = a**5 + b**5 + c**5 + d**5
          if round(summe**0.2)**5 == summe: 
            print('Versuch ' + str(zaehler) + ' war erfolgreich: ')
            print(str(a) + '**5 + ' + str(b) + '**5 + ' + str(c) + '**5 + ' 
                              + str(d) + '**5 == ' + str(round(summe**0.2)) + '**5')
            print('Die Summe ist ' + str(summe) + '.')
            erfolg = True 
  # Wenn für dieses a kein Tupel mit der Euler-Eigenschaft gefunden wurde,
  # wird der nächste Durchlauf der while-Schleife vorbereitet und a um 1 erhöht.
  a += 1
#-----------------------------------------------------------------------------------
# python3 euler-vermutung.py 
# 1
# 2
# 3
# 4
# ...
# 130
# 131
# 132
# 133
# Versuch 13458163 war erfolgreich: 
# 133**5 + 110**5 + 84**5 + 27**5 == 144**5
# Die Summe ist 61917364224.

