#-------------------------------------------------------------------------------
# mitternacht_v2.py
#-------------------------------------------------------------------------------
# Das Programm liest float-Werte a, b und c von der Kommandozeile ein
# und gibt die durch die Mitternachtsformel bestimmten Lösungen 
# der Gleichung  a*x^2 + b*x + c = 0  aus, falls sie existieren.
#-------------------------------------------------------------------------------

import math

# Lies die float-Werte für a, b und c ein.
a = float( input(' a: ') )
b = float( input(' b: ') )
c = float( input(' c: ') )

# Es gibt nur dann ein Ergebnis, wenn a ungleich 0 ist.
if a != 0:
  # Berechne die Diskriminante.
  diskriminante = math.sqrt(b**2 - 4*a*c)
  # Gib die Ergebnisse für x aus.
  print( (-b + diskriminante) / (2*a) )
  print( (-b - diskriminante) / (2*a) )
else:
  # Gib eine Fehlermeldung aus.
  print('Die Gleichung hat keine Lösung!')

#--------------------------------------------------------------------------------
# python3 mitternacht_v2.py 2.0 4.2 1.2
# -0.3411276560621087
# -1.7588723439378913
#
# python3 mitternacht_v2.py 0.0 4.2 2.3
# Die Gleichung hat keine Lösung!
#
# python mitternacht_v2.py 2.0 4.0 2.0
# -1.0
# -1.0

