#--------------------------------------------------------------------------------------------------------
# siebenwuerfeln.py
#--------------------------------------------------------------------------------------------------------
# Das Programm bestimmt die Wahrscheinlichkeit, dass mit 2 Würfeln die Würfelsumme 7 geworfen wird.
# Beim Aufruf wird von der Konsole der Wert n (int) eingelesen.
# Das Experiment, mit 2 Würfeln zu würfeln, wird n-mal wiederholt
# und die erfolgreichen Experimente (mit Würfelsumme 7) werden gezählt.
# Am Ende wird die gesuchte Wahrscheinlichkeit durch den Quotient aus
# erfolgreichen Experimenten und n abgeschätzt.
#--------------------------------------------------------------------------------------------------------
import random

### Die Experimentreihe wird vorbereitet.
# Die Anzahl der Experimente wird von der Kommandozeile eingelesen.
n = int( input('Anzahl der Wiederholungen des Experiments: ') )   

erfolgsZaehler = 0       # zählt die erfolgreichen Experimente

### Die Experimentreihe wird durchgeführt.
for i in range(n):     # es werden n Experimente durchgeführt
  # Das Experiment: zwei Würfel werden geworfen.
  wuerfel1 = random.randint(1,6)
  wuerfel2 = random.randint(1,6)
  # Auswertung des Experiments: Das Experiment ist erfolgreich, wenn die Würfelsumme 7 ist.
  if wuerfel1 + wuerfel2 == 7:
        erfolgsZaehler += 1 

### Das Ergebnis der Experimentreihe wird ausgegeben.
erfolgsWkeit = erfolgsZaehler/n
print('Die Wahrscheinlichkeit für ein erfolgreiches Experiment ist ' + str(erfolgsWkeit) + '.' )
print('D.h. etwa einer von ' + str(round(1/erfolgsWkeit)) + ' Würfen ist erfolgreich.' )

#--------------------------------------------------------------------------------------------------------
# python3 siebenwuerfeln.py 
# Anzahl der Wiederholungen des Experiments: 100
# Die Wahrscheinlichkeit für ein erfolgreiches Experiment ist 0.13.
# D.h. etwa einer von 8 Würfen ist erfolgreich.
#
# python3 siebenwuerfeln.py 
# Anzahl der Wiederholungen des Experiments: 100
# Die Wahrscheinlichkeit für ein erfolgreiches Experiment ist 0.23.
# D.h. etwa einer von 4 Würfen ist erfolgreich.
#
# python3 siebenwuerfeln.py 
# Anzahl der Wiederholungen des Experiments: 10000
# Die Wahrscheinlichkeit für ein erfolgreiches Experiment ist 0.1706.
# D.h. etwa einer von 6 Würfen ist erfolgreich.
#
# python3 siebenwuerfeln.py 
# Anzahl der Wiederholungen des Experiments: 1000000
# Die Wahrscheinlichkeit für ein erfolgreiches Experiment ist 0.166847.
# D.h. etwa einer von 6 Würfen ist erfolgreich.

